<template>
  <div style="height: 100%" v-if="userId !== ''">
    <iframe
      style="padding-bottom: 20px"
      frameborder="0"
      height="100%"
      width="100%;"
      :src="'/webroot/decision/view/report?viewlet=/lims/zhibaoshu/成品质保书审核表.cpt&op=write&userId=' + this.userId + '&zhibiaoren=' + this.userName"
    ></iframe>
  </div>
</template>

<script>
import { formatDate, getCookie } from '@/utils/util.js';
import { cookieUserId, cookieUserName } from '@/config/config.js';

export default {
  created () {
    this.userId = getCookie(cookieUserId)
    this.userName = getCookie(cookieUserName)
    if (this.userId === '' || this.userName === '') {
      return this.$message.error('请先进行登录，才能进行查看')
    }
  },
  data () {
    return {
      userId: '',
      userName: ''
    }
  }
}
</script>

<style>
</style>